#!/bin/bash
file="$1"
IFS='
'

if [ "x$file" == "x" ]; then
   echo "Syntax Error from $0"
   exit -1
fi

test -d /tmp/rpm-tmp || mkdir -p /tmp/rpm-tmp
test -d /tmp/rpm-tmp/files || mkdir -p /tmp/rpm-tmp/files

echo "Checking for dependencys in $file this may take some time."

for deps in `rpm -qRp $file | grep -v rpmlib`; do
> /tmp/rpm-tmp/tmp.$$
rpmfle=`cat /tmp/rpm-tmp/tmp.$$ | head -1`
test=`echo $deps | tr -d [:digit:][:punct:]`
echo "Checking for $deps from $file"

if [ "$test" == "" ]; then
   deps=''
fi

dep-check.sh "$deps" | grep -w 'installed' ||
rpm-get install $rpmfle ||
rpm-fle2pkg.sh $rpmfle > /tmp/rpm-tmp/files/$rpmfle.$$
done

rm -f /tmp/rpm-tmp/*.$$

for packages in `ls -1 /tmp/rpm-tmp/files/*.$$ 2>/dev/null`; do
rpm-get install $packages
done

rm -f /tmp/rpm-tmp/files/*.$$

